using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class HiddenFieldTest : System.Web.UI.Page
{
    /// <summary>
    /// Wywoływana przy każdym załadowaniu strony
    /// </summary>
    protected void Page_Load(object sender, EventArgs e)
    {
      // inicjalizacja wartości pól ukrytych
      if (!IsPostBack)
      {
         hfImage1.Value = "0";
         hfImage2.Value = "0";
      }
    }
    /// <summary>
    /// Procedura obsługi kliknięcia pierwszego przycisku
    /// </summary>
    protected void ibtnImage1_Click(object sender, EventArgs e)
    {
      IncrementCount(hfImage1);
      labMessage1.Text = "Liczba kliknięć: " + hfImage1.Value;
    }
    /// <summary>
    /// Procedura obsługi kliknięcia drugiego przycisku
    /// </summary>
    protected void ibtnImage2_Click(object sender, EventArgs e)
    {
      IncrementCount(hfImage2);
      labMessage2.Text = "Liczba kliknięć: " + hfImage2.Value;
    }
    /// <summary>
    /// Inkrementacja wartości przekazanego pola ukrytego
    /// </summary>
    private void IncrementCount(HiddenField hf)
    {
      int count = Convert.ToInt32(hf.Value);
      count++;
      hf.Value = count.ToString();
    }
}
